html
{
    height: 100%;
}

body
{
    margin: 0 10% 0 10%;
    font-family: 'Montserrat', sans-serif;
    font-weight: 400;
    height: 100%;
}

/* HEADER - MAIN - FOOTER  */

.container
{
  display: flex; /* displays flex-items (children) inline */
  flex-direction: column; /* stacks them vertically */
  height: 100%; /* needs to take the parents height, alternative: body {display: flex} */
}

.header
{

}

.main
{
  flex: 1;
  overflow: auto;
  padding-bottom: 50px;

}

.footer
{

}

/* HEADER FLEX  */

.header_flex-container
{
    margin-top: 10px;
    display: flex;
    flex-wrap: wrap;
    background-color: #4577b3;
    border-radius: 4px;
}

.header_flex-item-left
{
    flex: auto;
}

.header_flex-item-right
{
    flex: auto;
}

.header_logo
{
   width: 60px;
   height: 60px;
   float: left;
   margin: 15px 0 15px 15px;
}
.header_text_div
{
    font-size: 30px;
    float: left;
    padding: 17px 10px 10px 10px;
}
.mainheader_text
{
    font-size: 28px;
    font-family: 'Montserrat', sans-serif;
    font-weight: 900;
    color: #ffd901;
    margin: 0;
}
.subheader_text
{
    font-size: 18px;
    margin: 0;
    color: #ffffff;
}

@media (max-width: 960px)
{
    body
    {
        margin: 0 10px 0 10px;
    }

  .header_flex-item-left
  {
    flex: 100%;
  }
  .header_flex-item-right
  {
    flex: 100%;
  }
}

@media (max-width: 570px)
{
    .header_text_div
    {
        padding: 16px 10px 10px 10px;
    }

    .mainheader_text
    {
      font-size: 4.75vw;
    }

    .subheader_text
    {
      font-size: 3.0vw;
    }

    .header_logo
    {
        width: 9.25vw;
        height: auto;
    }
}

@media (max-width: 380px)
{
    .header_logo
    {
        display: none;
    }
    
    .mainheader_text
    {
      font-size: 5.5vw;
    }

    .subheader_text
    {
      font-size: 3.75vw;
    }
    
    .header_text_div
    {
      margin-left: 10px;
    }
}

.instructions_div
{
    margin: 10px 0 0 5px;
}

.instructions
{
    font-family: Arial, Helvetica, sans-serif;
    font-size: 17px;
     margin: 8px 0 0 0;
}

/* EXAMPLES TABLE */

h1
{
    z-index: 1;
    font-family: Arial, Helvetica, sans-serif;
    font-weight: normal;
    font-size: 17px;
    color: rgb(200,200,200);
    margin: 5px 0 0 0;
    padding-left: 0px;
}

.topicnamestar
{
    margin-top: 12px;
    width: 22px;
    padding-right: 12px;
}

h2
{
    position: relative;
    font-family: Arial, Helvetica, sans-serif;
    font-size: 48px;
    font-weight: bold;
    margin: 10px 0 5px 0;
    padding-left: 0px;
}

.romaji
{
    font-family: Arial, Helvetica, sans-serif;
    font-size: 20px;
    line-height:20px;
    color: #8F8F8F;
}

.examplestitle
{
    font-family: Arial, Helvetica, sans-serif;
    font-weight: 900;
    font-size: 24px;
    color: #8F8F8F;
}

tr.spaceUnder>td
{
    padding-bottom: 1em;
}

tr.closeUnder>td
{
    padding-bottom: 0px;
}

tr.spaceUnderPhrase>td
{
    padding-bottom: 10px;
}

tr.spaceUnderMeaning>td
{
    padding-bottom: 24px;
}

.maintablerow
{
    padding-bottom: 10px;
}

.topicgrammar
{
    margin: 5px 0px 1px 0px;
    padding: 5px 20px 5px 20px;
    border: 1px solid;
    border-radius: 10px;
    border-color: #d9d9d9;
    width: 100%;
    background-color: #f5ffff;
}

.pronunciation {

    font-family: Arial, Helvetica, sans-serif;
    font-size: 26px;
    font-weight: normal;
    color: grey;
}

.boldgrammar
{
    font-family: Arial, Helvetica, sans-serif;
    font-size: 20px;
    font-weight: bold;
    color: #101010;
}
.russianspandescription
{
    font-family: Arial, Helvetica, sans-serif;
    font-size: 18px;
    font-weight: bold;
    color: #101010;
}
.englishquote
{
  font-family: Arial, Helvetica, sans-serif;
  color: #4577b3;
  font-size: 18px;
  font-weight: 500;
}

.meaning
{
    font-family: Arial, Helvetica, sans-serif;
    font-size: 26px;
    font-weight: bold;
    color: #101010;
}

.comment
{
    font-size: 18px;
    padding-left: 10px;
}

.notepara
{
    margin:0;
    padding: 0;
}

.noteimg
{
    width: 18px;
    margin-right: 4px;
    position: relative;
    top: 3px;
}

.russianspannote
{
    font-family: Arial, Helvetica, sans-serif;
    font-weight: bold;
}

.playButton
{
        background:url('../images/small_speaker_red.png');
        cursor:pointer;
        width: 48px;
        height: 48px;
        margin-top: 10px;
        border: none;
        background-size: 48px 48px;
        background-repeat: no-repeat;
   }


.example_group
{
    line-height: 27px;
}

.example {

    font-family: Arial, Helvetica, sans-serif;
    font-size: 19px;
    color: black;
    font-weight: 600;
}

.td_example_sndbutton
{
    vertical-align: top;
    text-align: right;
    padding-right: 5px;
}

.example_sndbutton
{
    background:url('../images/speaker_grey_26.png');
    cursor:pointer;
    width: 26px;
    height: 26px;
    vertical-align: top;
    margin-bottom: -3px;
    border: none;
    background-size: 26px 26px;
    background-repeat: no-repeat;
}

.pronunciation_example {

    font-size: 18px;
    color: gray;
}

.english
{
    font-size: 17px;
    color: #4577b3;
}

.note
{
    font-size: 17px;
    color: gray;
    line-height: 25px;
}

.examplesfooter
{
    height:120px;
    line-height: 120px;
}

.sourcedspan
{
    text-align: right;
    padding-bottom: 12px;
    color: gray;
}

.sourcedrow
{
    text-align: right;
}

/* FOOTER FLEX  */

.footer_flex-container
{
    margin-top: 10px;
    display: flex;
    background-color: #4577b3;
    height: 200px;
    color: white;
    border-radius: 4px;
    margin-left: 5px;
}

.footer_flex-item-left
{
    flex: 0;
}

.footer_flex-item-right
{
    flex: auto;
    padding: 10px;
}

.footer-ad
{
    margin: 6px 0 0 10px;
    padding: 0;
}

.footertitle
{
    font-family: Arial, Helvetica, sans-serif;
    font-size: 28px;
    font-weight: 800;
}

.ss_image
{
   position: relative;
   bottom: 25%;
   width: 180px;
   margin-left: -10px;
   margin-right: -10px;

   cursor:pointer;
}

#learn
{
   font-family: Arial, Helvetica, sans-serif;
   font-size: 18px;
   padding-left: 10px;
}

.appStoreButton {

   cursor:pointer;
   width: 150px;
}

@media (max-width: 800px)
{
    .footer_flex-item-left
    {
        width: 0;
    }
    .ss_image
    {
        width: 0;
    }
    .footer_third
    {
        display: none;
    }
}
